std::atomic_flag Struct Reference
Atomics

`#include <atomic_base.h>`

Inherits __atomic_flag_base.

## Public Member Functions

constexpr | atomic_flag (bool __i) noexcept
| atomic_flag (const atomic_flag &)=delete
void | clear (memory_order __m=memory_order_seq_cst) noexcept
void | clear (memory_order __m=memory_order_seq_cst) volatile noexcept
void | notify_all () noexcept
void | notify_one () noexcept
atomic_flag & | operator= (const atomic_flag &) volatile=delete
atomic_flag & | operator= (const atomic_flag &)=delete
bool | test (memory_order __m=memory_order_seq_cst) const noexcept
bool | test (memory_order __m=memory_order_seq_cst) const volatile noexcept
bool | test_and_set (memory_order __m=memory_order_seq_cst) noexcept
bool | test_and_set (memory_order __m=memory_order_seq_cst) volatile noexcept
void | wait (bool __old, memory_order __m=memory_order_seq_cst) const noexcept

## Detailed Description

atomic_flag

Definition at line 210 of file atomic_base.h.

## Constructor & Destructor Documentation

## atomic_flag()

constexpr std::atomic_flag::atomic_flag | ( | bool | __i | ) |

inline constexpr noexcept

Definition at line 219 of file atomic_base.h.

## Member Function Documentation

## clear() [1/2]

void std::atomic_flag::clear | ( | memory_order | __m = `memory_order_seq_cst` | ) |

inline noexcept

Definition at line 281 of file atomic_base.h.

## clear() [2/2]

void std::atomic_flag::clear | ( | memory_order | __m = `memory_order_seq_cst` | ) | volatile

inline noexcept

Definition at line 293 of file atomic_base.h.

## notify_all()

void std::atomic_flag::notify_all | ( |  | ) |

inline noexcept

Definition at line 274 of file atomic_base.h.

## notify_one()

void std::atomic_flag::notify_one | ( |  | ) |

inline noexcept

Definition at line 268 of file atomic_base.h.

## test() [1/2]

bool std::atomic_flag::test | ( | memory_order | __m = `memory_order_seq_cst` | ) | const

inline noexcept

Definition at line 237 of file atomic_base.h.

## test() [2/2]

bool std::atomic_flag::test | ( | memory_order | __m = `memory_order_seq_cst` | ) | const volatile

inline noexcept

Definition at line 245 of file atomic_base.h.

## test_and_set() [1/2]

bool std::atomic_flag::test_and_set | ( | memory_order | __m = `memory_order_seq_cst` | ) |

inline noexcept

Definition at line 224 of file atomic_base.h.

## test_and_set() [2/2]

bool std::atomic_flag::test_and_set | ( | memory_order | __m = `memory_order_seq_cst` | ) | volatile

inline noexcept

Definition at line 230 of file atomic_base.h.

## wait()

void std::atomic_flag::wait | ( | bool | __old,
|  | memory_order | __m = `memory_order_seq_cst`
| ) |  | const

inline noexcept

Definition at line 255 of file atomic_base.h.

The documentation for this struct was generated from the following file:

- atomic_base.h